#Module-Specific definitions
%define mod_version 3.0.1
%define release 1mdk
%define mod_name mod_python
%define mod_conf 16_%{mod_name}.conf
%define mod_so %{mod_name}.so

#New ADVX macros
%define ADVXdir %{_datadir}/ADVX
%{expand:%(cat %{ADVXdir}/ADVX-build)}
%{expand:%%global ap_version %(%{apxs} -q ap_version)}

# Standard Module Definitions
%define name %{ap_name}-%{mod_name}
%define version %{ap_version}_%{mod_version}

#Standard ADVX requires
Prereq:		%{ap_name} = %{ap_version}
Prereq:		%{ap_name}-conf
BuildRequires:  ADVX-build >= 1.1
BuildRequires:  %{ap_name}-devel >= 2.0.43-5mdk
Provides: 	ADVXpackage
Provides:	AP20package

Summary:	An embedded Python interpreter for the %{ap_name} Web server.
Name:		%{name}
Version:	%{version}
Release:	%{release}
Group:		System/Servers
Source:		%{mod_name}-%{mod_version}.tar.bz2
Source1:	%{mod_conf}.bz2
Patch0:		mod_python-3.0.1-DESTDIR.patch.bz2
License:	GPL
URL:		http://www.modpython.org/
BuildPrereq:	python
BuildPrereq:	python-devel
BuildRoot:	%{_tmppath}/%{name}-buildroot
Obsoletes:	mod_python

%description
Mod_python is a module that embeds the Python language interpreter within
the %{ap_name} server, allowing Apache handlers to be written in Python.

Mod_python brings together the versatility of Python and the power of
the Apache Web server for a considerable boost in flexibility and
performance over the traditional CGI approach.

%prep

%setup -q -n %{mod_name}-%{mod_version}
%patch0 -p0

%build
%configure --with-apxs=%{apxs}
make OPT="`%{apxs} -q CFLAGS` -fPIC"

%install
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

# we only want to provide png files...
pushd doc-html
    for i in `find -name "*.gif"`; do
	rm -f $i
    done

    find -type f -name "*.html" | xargs perl -p -i -e "s|\.gif|\.png|g"
popd

mkdir -p %{buildroot}%{ap_libexecdir}
mkdir -p %{buildroot}%{ap_extralibs}

make DESTDIR=%{buildroot} install

mv %{buildroot}%{ap_libexecdir}/%{mod_so} %{buildroot}%{ap_extralibs}

%ADVXinstconf %{SOURCE1} %{mod_conf}
%ADVXinstdoc %{name}-%{version}

%clean
[ "%{buildroot}" != "/" ] && rm -rf %{buildroot}

%post
%ADVXpost

%postun
%ADVXpost

%files
%defattr(-,root,root)
%doc doc-html/* CREDITS NEWS README
%config(noreplace) %{ap_confd}/%{mod_conf}
%{ap_extralibs}/%{mod_so}
%{ap_webdoc}/*
%{_libdir}/python*/site-packages/mod_python/*

%changelog
* Tue Jan 21 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.44_3.0.1-1mdk
- rebuilt for apache v2.0.44

* Mon Jan 20 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-4mdk
- fix buildrequires apache2-devel >= 2.0.43-5mdk, as 
  pointed out by Olivier Thauvin

* Sat Jan 18 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-3mdk
- rebuilt against rebuilt buildrequires

* Mon Jan 13 2003 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-2mdk
- Rebuilt with the new apache-devel that uses /usr/sbin/apxs2 and
  /usr/include/apache2

* Wed Nov 27 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.1-1mdk
- new major version
- drop all patches, add P0 (a simple DESTDIR patch)

* Sat Nov 02 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-3mdk
- rebuilt for/against apache2 where dependencies has changed in apr

* Tue Oct 22 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-2mdk
- extra modules needs to be loaded _before_ mod_ssl, mod_php and mod_perl
  in order to show up in the server string...

* Fri Oct 04 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.43_3.0.0-1mdk
- rebuilt for/against new apache2 version 2.0.43 (even though 2.0.42 and 
  2.0.43 are binary compatible, we have to consider rpm dependencies)
- sanitize rpm package versioning

* Thu Sep 26 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 2.0.42_3.0.0-4mdk
- rebuilt against new apache v2.0.42

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_3.0.0-3mdk
- Obsoletes mod_python

* Wed Sep  3 2002 Jean-Michel Dault <jmdault@mandrakesoft.com> 2.0.40ADVX_3.0.0-2mdk
- Comply with ADVX policy at http://advx.org/devel/policy.php

* Sun Sep  1 2002 Oden Eriksson <oden.eriksson@kvikkjokk.net> 3.0.0-1mdk
- initial cooker contrib, ripped from RH, adapted for ML


